/* Testarea metodei de interclasare a doua tablouri */

class Interclasare {

  static double[] interclasare(double tab1[], double tab2[]) {
    /* se construieste tabloul de iesire al metodei */
    double tab3[]=new double[tab1.length+tab2.length];
    /* se declara si initializeaza indicii celor trei tablouri */
    int i=0, j=0, k=0;
    /* Se face interclasarea elementelor din tab1 si tab2,
       punandu-le in tab3
    */
    while(i<tab1.length && j<tab2.length) {
      if(tab1[i]<tab2[j]) tab3[k++]=tab1[i++];
      else tab3[k++]=tab2[j++];
    }
    /* Daca au mai ramas elemente in tab1, se adauga la tab3 */
    while(i<tab1.length) tab3[k++]=tab1[i++];
    /* Daca au mai ramas elemente in tab2, se adauga la tab3 */
    while (j<tab2.length) tab3[k++]=tab2[j++];
    /* Se intoarce tabloul rezultat tab3 */
    return tab3;
  }

  /* Testarea metodei de interclasare */
  public static void main(String args[]) {
    double tab1[]={-7.23, -0.81, 2.14, 3.22, 7.214},
           tab2[]={1.015, 1.99, 2.14, 6.04, 9.43, 18.21}, tab3[];
    tab3=interclasare(tab1, tab2);
    for(int k=0; k<tab3.length; k++)
      System.out.print(tab3[k]+" ");
    System.out.println();
  }
}
