class TestNDame {
  public static void main(String args[]) {
    if(args.length==0) {
      System.out.println("Utilizare: java NDame <numarCarouri>");
      System.exit(0);
    }
    int nrCarouri;
    try {
      nrCarouri=Integer.parseInt(args[0]);
      if(nrCarouri<2 || nrCarouri>10) {
        System.out.println("Numarul de carouri se recomanda sa fie "+
          " intre 2 si 10");
        System.exit(0);
      }
      NDame nd=new NDame(nrCarouri);
      Object solutie;
      int nrSolutii=0;
      do {
        solutie=nd.solutiaUrmatoare();
        if(solutie!=null) {
          nrSolutii++;
          System.out.println("Solutia "+nrSolutii+": "+solutie);
        }
      } while(solutie!=null);
      System.out.println("S-au gasit "+nrSolutii+" solutii");
    }
    catch(Exception e) {
      System.out.println(e);
    }
  }
}
