import java.util.*;

class TestCollections {
  public static void main(String args[]) {
    if(args.length==0) {
      System.out.println("Dati cateva cuvinte in linia de comanda");
      System.exit(0);
    }
    List listArg=Arrays.asList(args);
    System.out.println("Lista argumentelor: "+listArg);
    System.out.println("Clasa listei: "+listArg.getClass().getName());
    System.out.println("Elementul maxim si cel minim: "+
      Collections.max(listArg)+" "+Collections.min(listArg));
    Collections.reverse(listArg);
    System.out.println("Dupa inversarea listei: " + listArg);
    Collections.shuffle(listArg);
    System.out.println("Dupa randomizare: " + listArg);
    Collections.sort(listArg);
    System.out.println("Dupa sortare: " + listArg);
    String str=args[args.length/2];
    int i=Collections.binarySearch(listArg, str);
    System.out.println("Elementul \""+str+ 
          "\" se gaseste pe pozitia "+i);
  }
}
