import java.util.*;

class TestArbore {
  public static void main(String args[]) {
    // Se construieste arborele
    Arbore.Nod radacina, nod1, nod2, nod3;
    nod1=new Arbore.Nod("F");
    nod1.puneFiu(new Arbore.Nod("J"));
    nod2=new Arbore.Nod("B");
    nod2.puneFiu(new Arbore.Nod("E"));
    nod2.puneFiu(nod1);
    nod1=new Arbore.Nod("A");
    nod1.puneFiu(nod2);
    nod1.puneFiu(new Arbore.Nod("C"));
    nod3=new Arbore.Nod("H");
    nod3.puneFiu(new Arbore.Nod("K"));
    nod3.puneFiu(new Arbore.Nod("L"));
    nod2=new Arbore.Nod("D");
    nod2.puneFiu(new Arbore.Nod("G"));
    nod2.puneFiu(nod3);
    nod2.puneFiu(new Arbore.Nod("I"));
    nod1.puneFiu(nod2);
    Arbore arb=new Arbore(nod1);
    System.out.println("Arborele contine "+arb.numarNoduri()+
      " noduri");
    Iterator iter;
    System.out.println("Parcurgerea arborelui in adancime");
    iter=arb.iteratorAdancime();
    while(iter.hasNext()) 
      System.out.print(iter.next()+" ");
    System.out.println();
    System.out.println("Traversarea arborelui in preordine");
    iter=arb.iteratorPreordine();
    while(iter.hasNext()) 
      System.out.print(iter.next()+" ");
    System.out.println();
    System.out.println("Traversarea arborelui in postordine");
    iter=arb.iteratorPostordine();
    while(iter.hasNext()) 
      System.out.print(iter.next()+" ");
    System.out.println();
    System.out.println("Traversarea arborelui in latime");
    iter=arb.iteratorLatime();
    while(iter.hasNext()) 
      System.out.print(iter.next()+" ");
    System.out.println();
    System.out.println("Lista in preordine: "+arb.preordine());
    System.out.println("Lista in postordine: "+arb.postordine());
    System.out.println("Lista pe niveluri: "+arb.inLatime());
    System.out.println("Arborele afisat in formatul cu paranteze");
    System.out.println(arb);
  }
}
