/* Testarea clasei ArboreCautare. La ececutarea programului se dau
   informatiile din nodurile arborelui sub forma unor parametri
   in linia de comanda. De exemplu
    > java TestArbCautare H R D K B L J C F R N S A F
   Parametrii pot fi orice cuvinte, nu numai litere.
*/

class TestArbCautare {
  public static void main(String args[]) {
    if(args.length==0) {
      System.out.println("Dati niste siruri in linia de comanda");
      System.exit(0);
    }
    ArboreCautare arb=new ArboreCautare();
    for(int i=0; i<args.length; i++) 
      arb.pune(args[i]);
    System.out.println("Arborele format: "+arb);
    System.out.println("Nodul minim este "+arb.minim());
    System.out.println("Nodul maxim este "+arb.maxim());
    System.out.println("Informatia "+args[0]+" exista: "+
      arb.exista(args[0])+" in nodul "+arb.cauta(args[0]));
    Object val=args[args.length-1];
    System.out.println("informatia "+val+" exista: "+
      arb.exista(val)+" in nodul "+arb.cauta(val));
    val=args[args.length/2];
    System.out.println("informatia "+val+" exista: "+
      arb.exista(val)+" in nodul "+arb.cauta(val));
    val="?nu exist!";
    System.out.println("informatia "+val+" exista: "+
      arb.exista(val)+" in nodul "+arb.cauta(val));
  }
}
