/* Se testeaza unele metode ale clasei java.util.TreeSet. 
   La lansarea in executie se dau ca argumente in linia de comanda
   mai multe cuvinte, care vor fi puse in multimea sortata.
   De exemplu:
   > java TestTreeSet dam aici un exemplu de secventa de cuvinte
*/

import java.util.*;

class TestTreeSet {
  public static void main(String args[]) {
    if(args.length<2) {
      System.out.println("Dati ca argumente o secventa de cuvinte");
      System.exit(0);
    }
    TreeSet set=new TreeSet();
    for(int i=0; i<args.length; i++) set.add(args[i]);
    System.out.println("Multimea contine: "+set);
    set.remove(args[0]);
    System.out.println("Dupa eliminarea elementului "+
      args[0]+" multimea contine "+set);
    System.out.println("Multimea contine "+set.size()+" elemente");
    System.out.println("Primul element este "+set.first());
    System.out.println("Ultimul element este "+set.last());
  }
}
